commit:     848547251ea0f10ad40220b7c8e661e31fb2c469
Author:     Christopher Byrne <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Mon Jun 21 17:13:21 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jun 21 22:44:16 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=84854725

app-crypt/tpm2-tools: Bump to 5.1.1

Bug: https://bugs.gentoo.org/793764
Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Christopher Byrne <salah.coronya <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-crypt/tpm2-tools/Manifest                |  1 +
 app-crypt/tpm2-tools/tpm2-tools-5.1.1.ebuild | 41 ++++++++++++++++++++++++++++
 2 files changed, 42 insertions(+)

diff --git a/app-crypt/tpm2-tools/Manifest b/app-crypt/tpm2-tools/Manifest
index 76c86194481..5ca8318994d 100644
--- a/app-crypt/tpm2-tools/Manifest
+++ b/app-crypt/tpm2-tools/Manifest
@@ -1,3 +1,4 @@
 DIST tpm2-tools-4.3.1.tar.gz 891993 BLAKE2B 
d145fd542952ebbf59bb82640b9ac41cc777dcd8f526683447e3a3fd22fd4c46ab59899418ae52382d88e05418b772afd7f10093c5e0ef4cba685470cf7a7c8e
 SHA512 
0104b6bca9e56ee30c033f3ddb2ab75b683b07ff917b800ff8fde49ce5cdc6d42e5fff63ed3ee9700f656dbf34bca76cee7408c256f1e30d92148c506b0032f2
 DIST tpm2-tools-4.3.2.tar.gz 887708 BLAKE2B 
ee6fe3d0566138d6289d1a91252ccb106d36ff80d55f2d6f9ee30c8e16338d706e80085ac5f4f56a79bcb339e5dcb240efcf71d4003bcffdad366f3cd7a1165b
 SHA512 
1aa47c62c3d2a83195ec649e50c0be2c8be39f926806d8d7cb96edc499c385d527661813e02024e98f83ae9ebcb22d7dadc507ddfab48be9bbe428d9439d7ee1
 DIST tpm2-tools-5.0.tar.gz 990855 BLAKE2B 
5d39bbef0bc6f0d84f37c64c697260343a9f9e134bce015a6b529176195adb907672f35b85382b0a4785e40e368030ac347083086c3799bdfe86dced1ac69848
 SHA512 
ea57a28a61e28b78cae7067ff58facd8754fafab7a2689fd93f8b3374073b6ac30301a75f8ff5c654800ab469ee6604d0b8a86c310631b9545b816ecaa05968e
+DIST tpm2-tools-5.1.1.tar.gz 1044427 BLAKE2B 
885ff61ad971c95d067bf8f9339de289f082f3103d1c382f45ac3ffbd4d5effc343ddc3c2c74b97b9d31f3f823d264991d1726c1f9c21d5c9b82ac1cdf714d3f
 SHA512 
4e094dcffb66103773d85e866ab9ba8db5d0f205ff9658e08fe14e8e41250570a7f7274b4048934adf256ea41650fa498fc3d6da2786adc241a4bf2e8f7bf78e

diff --git a/app-crypt/tpm2-tools/tpm2-tools-5.1.1.ebuild 
b/app-crypt/tpm2-tools/tpm2-tools-5.1.1.ebuild
new file mode 100644
index 00000000000..da8ba7b3847
--- /dev/null
+++ b/app-crypt/tpm2-tools/tpm2-tools-5.1.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Tools for the TPM 2.0 TSS"
+HOMEPAGE="https://github.com/tpm2-software/tpm2-tools";
+SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/${PV}/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+fapi"
+
+# Integration test are now run as part of the testing suite, which will fail
+# because none of the supported TPM emulators are in Portage. In a future
+# version of tpm2-tools, swtpm will be supported and the tests can be run.
+RESTRICT="test"
+
+RDEPEND="net-misc/curl:=
+       >=app-crypt/tpm2-tss-3.0.1:=[fapi?]
+       dev-libs/openssl:0="
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig
+       sys-devel/autoconf-archive"
+
+src_prepare() {
+       sed -i \
+       "s/m4_esyscmd_s(\[git describe --tags --always --dirty\])/${PV}/" \
+       "${S}/configure.ac" || die
+       eautoreconf
+       default
+}
+
+src_configure() {
+       econf \
+               $(use_enable fapi) \
+               --enable-hardening
+}

Reply via email to